# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/xmllint gcc-c++ perl(IPC/Open2.pm) pkgconfig(gtk+-2.0)
# END SourceDeps(oneline)
Name:           verbiste
Version:        0.1.32
Release:        alt1_6
Summary:        French conjugation system

Group:          Text tools
License:        GPLv2+
URL:            http://sarrazip.com/dev/verbiste.html
Source:         http://perso.b2b2c.ca/sarrazip/dev/%{name}-%{version}.tar.gz

BuildRequires:  libxml2-devel desktop-file-utils gettext libgnomeui-devel
BuildRequires:  perl-XML-Parser
Source44: import.info


%description
This package contains a database of French conjugation templates
and a list of more than 7000 regular and irregular French verbs
with their corresponding template. It also comes with two command-line 
tools named french-conjugator and french-deconjugator.


%package devel
Summary:        C++ development files for the Verbiste library
Group:          Development/C
Requires:       %{name} = %{version}-%{release}

%description devel
C++ development files for the Verbiste library.


%package gnome
Summary:        GNOME Panel applet for Verbiste
Group:          Text tools
Requires:       %{name} = %{version}-%{release}
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils

%description gnome
GNOME Panel applet and application based on Verbiste.


%prep
%setup -q
# convert doc files to unicode
for DOCFILE in README NEWS HACKING LISEZMOI; do
    iconv -f ISO8859-15 -t UTF8 < $DOCFILE > $DOCFILE.tmp
    mv -f $DOCFILE.tmp $DOCFILE
done


%build
%configure \
    --with-gnome-app  \
    --disable-rpath
make %{?_smp_mflags}


%install
%makeinstall
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
# This file gets created on x86_64 for no apparent reason.
# It's owned by glibc-common.
rm -f $RPM_BUILD_ROOT%{_datadir}/locale/locale.alias
desktop-file-install \
  --delete-original                                     \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications         \
  $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop
%find_lang %{name}


%files
%doc COPYING ABOUT-NLS AUTHORS HACKING NEWS README LISEZMOI
%{_libdir}/*so.*
%{_mandir}/man*/french-*
%{_mandir}/*/man*/french-*
%{_bindir}/french-*
%{_datadir}/verbiste*

%files devel
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*

%files gnome -f %{name}.lang
%{_bindir}/verbiste
%{_mandir}/man*/verbiste.*
%{_mandir}/*/man*/verbiste.*
%{_datadir}/pixmaps/*
%{_datadir}/applications/*
%{_datadir}/texmf/tex/latex/verbiste


%changelog
* Mon Apr 29 2013 Igor Vlasenko <viy@altlinux.ru> 0.1.32-alt1_6
- initial fc import

